GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/arm-symbian-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "objfiles.h"`
`#include "osabi.h"`
`#include "solib.h"`
`#include "solib-target.h"`
`#include "target.h"`
`#include "elf-bfd.h"`

Go to the source code of this file.

## Functions
static CORE_ADDR | arm_symbian_skip_trampoline_code (struct frame_info *frame, CORE_ADDR pc)
static void | arm_symbian_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
static enum gdb_osabi | arm_symbian_osabi_sniffer (bfd *abfd)
void | _initialize_arm_symbian_tdep (void)

## Function Documentation

## ◆ _initialize_arm_symbian_tdep()

void _initialize_arm_symbian_tdep | ( | void |  | ) |

Definition at line 123 of file arm-symbian-tdep.c.

References arm_symbian_init_abi(), arm_symbian_osabi_sniffer(), GDB_OSABI_SYMBIAN, gdbarch_register_osabi(), and gdbarch_register_osabi_sniffer().

## ◆ arm_symbian_init_abi()

static void arm_symbian_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 63 of file arm-symbian-tdep.c.

References arm_symbian_skip_trampoline_code(), set_gdbarch_has_dos_based_file_system(), set_gdbarch_skip_trampoline_code(), set_gdbarch_solib_symbols_extension(), set_solib_ops(), and solib_target_so_ops.

Referenced by _initialize_arm_symbian_tdep().

## ◆ arm_symbian_osabi_sniffer()

static enum gdb_osabi arm_symbian_osabi_sniffer | ( | bfd * | abfd | ) |
| static

Definition at line 88 of file arm-symbian-tdep.c.

References GDB_OSABI_SYMBIAN, and GDB_OSABI_UNKNOWN.

Referenced by _initialize_arm_symbian_tdep().

## ◆ arm_symbian_skip_trampoline_code()

static CORE_ADDR arm_symbian_skip_trampoline_code | ( | struct frame_info * | frame,
|  | CORE_ADDR | pc
| ) |  |
| static

Definition at line 33 of file arm-symbian-tdep.c.

References gdbarch::byte_order, extract_unsigned_integer(), gdbarch_addr_bits_remove(), gdbarch_byte_order(), get_frame_arch(), in_plt_section(), and target_read_memory().

Referenced by arm_symbian_init_abi().